Skip to main content
POST
/
app-integration
Create App Integration
curl --request POST \
  --url https://apiweb.mile.app/api/v3/app-integration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'azureAuthUrl=<string>' \
  --form azureCert='@example-file' \
  --form 'integrationType=<string>'
{
  "status": true,
  "code": 201,
  "message": "Integration has been added successfully.",
  "data": {
    "integrationType": "azure",
    "azureAuthUrl": "https://login.microsoftonline.com/XXX-5f2b-XXX-90a0-XXX/saml2",
    "azureCert": "https://apistorage.mile.app/v3-public-dev/dev/66791b2bfabcde/2024/12/28/app.cer",
    "organizationId": "66791b2bf001a712b77b3622",
    "updatedTime": "2024-12-29T13:01:01.924000Z",
    "createdTime": "2024-12-29T13:01:01.924000Z",
    "_id": "6771480dc13375875909b693"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Body

multipart/form-data
azureAuthUrl
string
required

this parameter for auth url provided by azure

azureCert
file
required

this parameter for certificate file provided by azure

integrationType
string

this parameter for integration type, Currently available for azure

Response

Success

status
string

Status of response.

data
object

Detail object of created App Integration.